from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="gremlinn",
    version="1.0.0",
    package_dir={"": "src"}, 
    packages=find_packages(where="src"), 
    install_requires=[
        "requests>=2.25.0",
        "numpy>=1.19.0",
        "huggingface_hub>=0.0.19",
        "scikit-learn>=0.24.0",
    ],
    entry_points={
        'console_scripts': [
            'gremlin=gremlin.cli:main',
        ],
    },
    author="Daniil Gurgurov",
    author_email="dgurgurov@gmail.com",
    description="A package for managing and aligning multilingual GloVe and Graph embeddings",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/d-gurgurov/GrEmLIn-Green-Embeddings-LRLs/tree/main",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: Apache Software License", 
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ],
    python_requires=">=3.7",
)
